Page MenuHomePhabricator

Some buttons in mobile interface don't indicate clickable target with pointer
Closed, ResolvedPublic2 Story Points

Description

mediawiki-ui doesn't set cursor:pointer by default for mw-ui-icon and mw-ui-button and mw-ui-checkbox. It should.

  1. The watch star (see related T142527)
  2. The close button when you select the search field.
  3. The mw-ui-checkboxes in the preferences (also mw-ui)...

# the indicator for the amount of notifications (notification-count). (the button itself is correct )~

Acceptance criteria

  • Update mw-ui-checkbox element inside MediaWiki core to show a cursor: pointer;
  • .watch-this-article in Minerva to show a cursor pointer
  • .cancel in Minerva should show a cursor pointer

Event Timeline

TheDJ created this task.Sep 13 2016, 8:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 8:43 AM
Jhernandez triaged this task as Low priority.Sep 14 2016, 4:28 PM
Jhernandez moved this task from To Triage to Triaged but Future on the Readers-Web-Backlog board.
Jhernandez added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 14 2016, 4:28 PM
Ksrr18 claimed this task.Oct 2 2016, 1:05 PM
Ksrr18 removed Ksrr18 as the assignee of this task.Oct 2 2016, 1:10 PM
Ksrr18 added a subscriber: Ksrr18.
Jdlrobson removed McIntireEvan as the assignee of this task.May 26 2017, 6:28 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: McIntireEvan.
Jdlrobson added a subscriber: Volker_E.

@Volker_E is this something best taken care of by you?

Volker_E claimed this task.May 27 2017, 2:29 PM

Ping @Volker_E ... my updates a month later. I can review patch!

Jdlrobson removed Volker_E as the assignee of this task.Aug 1 2017, 9:12 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from Low to Normal.
Jdlrobson moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.

This is incredibly easy so why don't we just make this happen...

Jdlrobson updated the task description. (Show Details)Aug 8 2017, 4:18 PM
Jdlrobson set the point value for this task to 2.

Change 370849 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/MobileFrontend@master] Make sure watchlist and overlay buttons have pointer cursor

https://gerrit.wikimedia.org/r/370849

Change 370837 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] Make sure that mw-ui checkboxes have pointer cursor

https://gerrit.wikimedia.org/r/370837

Change 370837 merged by jenkins-bot:
[mediawiki/core@master] Make sure that mw-ui checkboxes have pointer cursor

https://gerrit.wikimedia.org/r/370837

Change 370849 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Make sure watchlist and overlay buttons have pointer cursor

https://gerrit.wikimedia.org/r/370849

Patches have been written by TheDJ and merged so let's sign off on this

Looks like the watchstar still doesn't have a pointer on https://en.m.wikipedia.beta.wmflabs.org/wiki/Selenium_language_test_page - should be an easy fix.

Change 371025 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/MobileFrontend@master] Partially undo I88c70fa

https://gerrit.wikimedia.org/r/371025

Change 371028 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/skins/MinervaNeue@master] Make sure that all buttons in the actions area have pointer

https://gerrit.wikimedia.org/r/371028

Change 371028 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Make sure that all buttons in the actions area have pointer

https://gerrit.wikimedia.org/r/371028

Change 371025 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Partially undo I88c70fa

https://gerrit.wikimedia.org/r/371025

Jdlrobson closed this task as Resolved.Aug 10 2017, 4:32 PM
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson updated the task description. (Show Details)

Tested on beta cluster. See cursor for overlay close icon (editor/search) as well as watch, hamburger, language button (only when enabled) and notifications icon. LGTM